Package org.codehaus.janino.util

# Class ClassFile.ConstantPoolInfo

java.lang.Object
org.codehaus.janino.util.ClassFile.ConstantPoolInfo

Direct Known Subclasses:
  `ClassFile.ConstantClassInfo`, `ClassFile.ConstantFieldrefInfo`, `ClassFile.ConstantInterfaceMethodrefInfo`, `ClassFile.ConstantInvokeDynamicInfo`, `ClassFile.ConstantMethodHandleInfo`, `ClassFile.ConstantMethodrefInfo`, `ClassFile.ConstantMethodTypeInfo`, `ClassFile.ConstantNameAndTypeInfo`, `ClassFile.ConstantValuePoolInfo`

Enclosing class:
  `ClassFile`

public abstract static class ClassFile.ConstantPoolInfo extends Object
Base for various the constant pool table entry types.

## Constructor Summary

Constructors
Constructor
Description
`ConstantPoolInfo()`

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`isWide()`
`protected abstract void`
`store(DataOutputStream dos)`
Stores this CP entry into a `DataOutputStream`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConstantPoolInfo

public ConstantPoolInfo()

## Method Details

### store

protected abstract void store(DataOutputStream dos) throws IOException
Stores this CP entry into a `DataOutputStream`.

See JVMS7 4.4.1 and following.

Throws:
  `IOException`

### isWide

public abstract boolean isWide()

Returns:
  Whether this CP entry is "wide" in the sense of JVMS7 4.4.5